Skip to main content
GET
/
api
/
v1
/
time-entries
List time entries
curl --request GET \
  --url https://api.contracting.kukkingu.software/api/v1/time-entries \
  --header 'Authorization: Bearer <token>' \
  --header 'tenant-id: <tenant-id>'
{
  "data": [
    {
      "id": "tsh_8f4d4gk1p9h2x0s7v3n5c1a9",
      "project": "prj_8f4d4gk1p9h2x0s7v3n5c1a9",
      "billable": "bil_eym9hcqlh1m7v3d36blf0vfx",
      "date": "2023-10-05",
      "durationSeconds": 3600,
      "createdAt": "2023-10-05T14:48:00.000Z",
      "updatedAt": "2023-10-05T14:48:00.000Z",
      "description": "Implemented authentication flow.",
      "referenceSource": "JIRA",
      "referenceId": "PROJ-123"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

tenant-id
string
required

Specifies the tenant context for the request. All endpoints operate within this tenant scope.

Example:

"tnt_pfh0haxfpzowht3oi213cqos"

Query Parameters

expand
string

Comma-separated list of relations to expand. Allowed values: project, project.contract, project.contract.client, billable, billable.invoice, billable.invoice.contract, billable.invoice.contract.client.

Example:

"project,project.contract,project.contract.client,billable,billable.invoice,billable.invoice.contract,billable.invoice.contract.client"

projectId
string

Filter time entries by associated project.

Example:

"prj_8f4d4gk1p9h2x0s7v3n5c1a9"

billableId
string

Filter time entries by associated billable.

Example:

"bil_eym9hcqlh1m7v3d36blf0vfx"

dateFrom
string<date>

Start date for filtering time entries. Inclusive.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
Example:

"2023-10-05"

dateTo
string<date>

End date for filtering time entries. Inclusive.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
Example:

"2023-10-05"

referenceSource
string

Filter time entries by reference source.

Maximum string length: 255
Example:

"JIRA"

referenceId
string

Filter time entries by reference ID.

Maximum string length: 255
Example:

"PROJ-123"

Response

Default Response

Standard success response payload wrapped in a data property.

data
object[]
required

List of time entries returned by the API.